robotpkg/wip/antlr2 bulk build results

Log for antlr2-2.7.7 on Fedora-31-x86_64: bulk.log (Back)

=> Checking for clear installation ===> Installing bootstrap dependencies for antlr2-2.7.7 => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-31-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-31-x86_64/All/tnftp-20130505~ssl.tgz ===> Checking bootstrap dependencies for antlr2-2.7.7 => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.10 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found ===> Done bootstrap-depends for antlr2-2.7.7 ===> Installing full dependencies for antlr2-2.7.7 => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed ===> Checking build options for antlr2-2.7.7 => Building with no option. ===> Checking alternatives for antlr2-2.7.7 => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use openjdk JVM: java>=1.6 provided by openjdk>=1.6 => Use python-3.7: python>=2.5<3.9 provided by python37>=3.7<3.8 ===> Checking dependencies for antlr2-2.7.7 => Required system package g++>=3: g++-9 found => Required system package gcc>=3: gcc-9 found => Required system package libstdc++: libstdc++ found => Required system package openjdk>=1.6: openjdk-1.8.0.265 found => Required system package python37>=3.7<3.8: python37-3.7.8 found ===> Done depends for antlr2-2.7.7 ===> Extracting for antlr2-2.7.7 => SHA1 checksums OK => RMD160 checksums OK ===> Patching for antlr2-2.7.7 => Applying robotpkg patches for antlr2-2.7.7 ===> Configuring for antlr2-2.7.7 => Modifying GNU configure scripts to avoid --recheck ===> Building for antlr2-2.7.7 make[1]: warning: jobserver unavailable: using -j1. Add '+' to parent make rule. Note: Some input files use or override a deprecated API. Note: Recompile with -Xlint:deprecation for details. Note: Some input files use unchecked or unsafe operations. Note: Recompile with -Xlint:unchecked for details. make[1]: warning: jobserver unavailable: using -j1. Add '+' to parent make rule. /usr/bin/ar: creating /local/robotpkg/var/tmp/robotpkg/wip/antlr2/work/antlr-2.7.7/lib/cpp/src/libantlr.a make[1]: warning: jobserver unavailable: using -j1. Add '+' to parent make rule. ===> Installing for antlr2-2.7.7 => Compiling python files File "/opt/openrobots/lib/antlr.py", line 48 print "error: ", fmt % tuple(args) ^ SyntaxError: invalid syntax File "/opt/openrobots/share/antlr-2.7.7/antlr.py", line 48 print "error: ", fmt % tuple(args) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/antlr.py", line 48 print "error: ", fmt % tuple(args) ^ SyntaxError: invalid syntax File "/opt/openrobots/share/antlr-2.7.7/antlr.py", line 48 print "error: ", fmt % tuple(args) ^ SyntaxError: invalid syntax robotpkg_create: can't stat `/opt/openrobots/lib/__pycache__/antlr.cpython-37.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/__pycache__/antlr.cpython-37.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/__pycache__/antlr.cpython-37.pyo' robotpkg_create: can't stat `/opt/openrobots/share/antlr-2.7.7/__pycache__/__init__.cpython-37.pyo' robotpkg_create: can't stat `/opt/openrobots/share/antlr-2.7.7/__pycache__/antlr.cpython-37.pyc' robotpkg_create: can't stat `/opt/openrobots/share/antlr-2.7.7/__pycache__/antlr.cpython-37.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/share/antlr-2.7.7/__pycache__/antlr.cpython-37.pyo' => Registering installation for antlr2-2.7.7 robotpkg_admin: antlr2-2.7.7: File `/opt/openrobots/lib/__pycache__/antlr.cpython-37.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: antlr2-2.7.7: File `/opt/openrobots/lib/__pycache__/antlr.cpython-37.opt-1.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: antlr2-2.7.7: File `/opt/openrobots/lib/__pycache__/antlr.cpython-37.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: antlr2-2.7.7: File `/opt/openrobots/share/antlr-2.7.7/__pycache__/__init__.cpython-37.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: antlr2-2.7.7: File `/opt/openrobots/share/antlr-2.7.7/__pycache__/antlr.cpython-37.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: antlr2-2.7.7: File `/opt/openrobots/share/antlr-2.7.7/__pycache__/antlr.cpython-37.opt-1.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: antlr2-2.7.7: File `/opt/openrobots/share/antlr-2.7.7/__pycache__/antlr.cpython-37.pyo' is in +CONTENTS but not on filesystem! ===> Done install for antlr2-2.7.7 ===> Building binary package for antlr2-2.7.7 robotpkg_create: can't stat `/opt/openrobots/lib/__pycache__/antlr.cpython-37.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/__pycache__/antlr.cpython-37.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/__pycache__/antlr.cpython-37.pyo' robotpkg_create: can't stat `/opt/openrobots/share/antlr-2.7.7/__pycache__/__init__.cpython-37.pyo' robotpkg_create: can't stat `/opt/openrobots/share/antlr-2.7.7/__pycache__/antlr.cpython-37.pyc' robotpkg_create: can't stat `/opt/openrobots/share/antlr-2.7.7/__pycache__/antlr.cpython-37.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/share/antlr-2.7.7/__pycache__/antlr.cpython-37.pyo' robotpkg_create: lstat failed for file lib/__pycache__/antlr.cpython-37.pyc: No such file or directory Creating package /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-31-x86_64/All/antlr2-2.7.7 make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:74: pkg-tarup] Error 2 => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-31-x86_64/All => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-31-x86_64/pub => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-31-x86_64/jrl => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-31-x86_64/pal make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/package/package.mk:147: package-failed] Error 2 => Marking antlr2-2.7.7 as broken ERROR: make: *** [package] Error 2 ===> Deinstalling for antlr2 robotpkg_delete: Couldn't remove /opt/openrobots/lib/__pycache__/antlr.cpython-37.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/__pycache__/antlr.cpython-37.opt-1.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/__pycache__/antlr.cpython-37.pyo robotpkg_delete: Couldn't remove /opt/openrobots/share/antlr-2.7.7/__pycache__/__init__.cpython-37.pyo robotpkg_delete: Couldn't remove /opt/openrobots/share/antlr-2.7.7/__pycache__/antlr.cpython-37.pyc robotpkg_delete: Couldn't remove /opt/openrobots/share/antlr-2.7.7/__pycache__/antlr.cpython-37.opt-1.pyc robotpkg_delete: Couldn't remove /opt/openrobots/share/antlr-2.7.7/__pycache__/antlr.cpython-37.pyo Removed antlr2-2.7.7 Removed digest-20080510 Removed tnftp-20130505~ssl